function w = passeggiata_unod_smorzata(v,theta)
%Funzione che prende in input un vettore colonna a valori interi positivi 
%di lunghezza almeno 3 e restituisce il vettore
%ottenuto compiendo un passo di una passegiata aleatoria simmetrica con
%probabilità di restare sul posto pari a 1-theta.

n=length(v);

%NB: per usare mnrnd è fondamentale che i vettori siano colonne
b=mnrnd(v(2:n-1),[theta/2 1-theta theta/2]);

w=[b(:,1);0;0]+[0;b(:,2);0]+[0;0;b(:,3)];

%estremi
a=binornd(v(1),theta/2);
w(1)=w(1)+v(1)-a;
w(2)=w(2)+a;

a=binornd(v(n),theta/2);
w(n)=w(n)+v(n)-a;
w(n-1)=w(n-1)+a;
